GenericAction

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.server
Class GenericAction

    java.lang.Object
      org.openswing.swing.server.GenericAction

public class GenericAction
extends java.lang.Object

Title: OpenSwing Framework

Description: Base action class, istantiated each time a new HTTP request arrives: sub-class can contain any number of methods.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Field Summary
`javax.servlet.ServletContext` | `context`
`javax.servlet.http.HttpServletRequest` | `request`
`javax.servlet.http.HttpServletResponse` | `response`
`javax.servlet.http.HttpSession` | `userSession`
`UserSessionParameters` | `userSessionPars`

Constructor Summary
`GenericAction()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### userSessionPars

    public UserSessionParameters userSessionPars

### request

    public javax.servlet.http.HttpServletRequest request

### response

    public javax.servlet.http.HttpServletResponse response

### userSession

    public javax.servlet.http.HttpSession userSession

### context

    public javax.servlet.ServletContext context

Constructor Detail

### GenericAction

    public GenericAction()

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD